/* -*- mode: c++ -*- */
#ifndef FR_TOC_PROC_I
#define FR_TOC_PROC_I

%{
#include "framecpp/STRING.hh"
typedef FrameCPP::FrTOC::MapProc_type	MapProc_type;

%}
%module frameCPP

%include "std_string.i"
%include "std_vector.i"
%include "std_map.i"

//-----------------------------------------------------------------------
// MapProc_type
//-----------------------------------------------------------------------
typedef FrTOC::MapProc_type MapProc_type;
class MapProc_type
{
public:
  %extend {
    int
    Size( ) const
    {
      return self->size( );
    }

    const char*
    Name( int Offset )
    {
      MapProc_type::const_iterator
	cur = self->begin( ),
	last = self->end( );
      while ( ( cur != last )
	      && ( Offset ) )
      {
	++cur;
	--Offset;
      }
      if ( cur != last )
      {
	return cur->first.c_str( );
      }
      return NULL;
    }
  }
};

#endif /* FR_TOC_PROC_I */
